'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: base_04.inc,v $
'*
'*  $Revision: 1.4 $
'*
'*  last change: $Author: msc $ $Date: 2003/07/29 10:52:36 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* owner : marc.schwanz@sun.com
'*
'* short description : Base Table Design
'*
'************************************************************************
'*
' #1 tTableDesignFields
' #1 tIndexDesign 
'*
'\***********************************************************************************
'--------------------------------------------------------------------------------------'
sub base_04

   printlog "------------------- base_04.inc --------------------"

   printlog "------------------- Table Design -------------------"

   call tTableDesignFields
   sleep(1)
   
   printlog "-------------- Objectbar Tabledesign ---------------"
   
   call tIndexDesign
   sleep(1)
   
   call sDeleteTable("Bibliography","TabOne")
   sleep(1)
   
end sub

'-------------------------------------------------------------------------

testcase tTableDesignFields

    sDeleteTable( "Bibliography" , "TabOne" )
    
 Dim FieldCounter as integer
  call hNewDocument
  ViewCurrentDatabase
  sleep(4)
  Kontext "OB_DB_Beamer"
    if OB_DB_Beamer.Exists(3) then
     Kontext "DatabaseSelection"
     if fFindDatasource("Bibliography") = TRUE then
      Kontext "DatabaseSelection"
       DatabaseSelection.TypeKeys "<ADD>"  , true
       DatabaseSelection.TypeKeys "<DOWN>" , true
       DatabaseSelection.TypeKeys "<DOWN>" , true
       DatabaseSelection.TypeKeys "<DOWN>" , true
       DatabaseSelection.TypeKeys "<ADD>"  , true
       sleep(1)
       DatabaseSelection.OpenContextMenu
       sleep(1)
       hMenuSelectNr (4)
       sleep(5)
       Kontext "TableDesignTable"       
       printlog "Fieldtype: Boolean"
       Fieldname.TypeKeys "<DOWN>" , TRUE
       wait (500)
       Fieldname.TypeKeys "<UP>" , TRUE
       wait (500)
       Fieldname.TypeKeys "YesNo" , TRUE
       wait (500)
       Fieldname.TypeKeys "<RETURN>" , TRUE
       wait (500)
       FieldCounter = 0
       FieldCounter = FieldType.GetItemCount
       if FieldCounter <> 6 then warnlog "Default for dBase: 6 field-types, but there are '" & FieldCounter & "' !?"
       printlog "Field-types: " & FieldCounter
       FieldType.Select(1)
       wait (500)
       FieldType.TypeKeys "<RETURN>" , TRUE
       wait (500)
       Description.TypeKeys "Boolean" , TRUE
       wait (500)
       Description.TypeKeys "<RETURN>" , TRUE
       wait (500)
       printlog "Fieldtype: Memo"
       Fieldname.TypeKeys "Memo" , TRUE
       wait (500)
       Fieldname.TypeKeys "<RETURN>" , TRUE
       wait (500)
       FieldType.Select(2)
       wait (500)
       FieldType.TypeKeys "<RETURN>" , TRUE
       wait (500)
       Description.TypeKeys "Memo field" , TRUE
       wait (500)
       Description.TypeKeys "<RETURN>" , TRUE
       wait (500)
       printlog "Fieldtype: Text (fixed)"
       Fieldname.TypeKeys "Text fixed" , TRUE
       wait (500)
       Fieldname.TypeKeys "<RETURN>" , TRUE
       wait (500)
       FieldType.Select(3)
       wait (500)
       FieldType.TypeKeys "<RETURN>" , TRUE
       wait (500)
       Description.TypeKeys "fixed Text" , TRUE
       wait (500)
       Description.TypeKeys "<RETURN>" , TRUE
       wait (500)
       printlog "Fieldtype: Decimal"
       Fieldname.TypeKeys "Decimal" , TRUE
       wait (500)
       Fieldname.TypeKeys "<RETURN>" , TRUE
       wait (500)
       FieldType.Select(4)
       wait (500)
       FieldType.TypeKeys "<RETURN>" , TRUE
       wait (500)
       Description.TypeKeys "Decimal" , TRUE
       wait (500)
       Description.TypeKeys "<RETURN>" , TRUE
       wait (500)
       printlog "Fieldtype: Text (var)"
       Fieldname.TypeKeys "Text var" , TRUE
       wait (500)
       Fieldname.TypeKeys "<RETURN>" , TRUE
       wait (500)
       FieldType.Select(5)
       wait (500)
       FieldType.TypeKeys "<RETURN>" , TRUE
       wait (500)
       Description.TypeKeys "var Text" , TRUE
       wait (500)
       Description.TypeKeys "<RETURN>" , TRUE
       wait (500)
       printlog "Fieldtype: Date"
       Fieldname.TypeKeys "Date" , TRUE
       wait (500)
       Fieldname.TypeKeys "<RETURN>" , TRUE
       wait (500)
       FieldType.Select(6)
       wait (500)
       FieldType.TypeKeys "<RETURN>" , TRUE
       wait (500)
       Description.TypeKeys "Date" , TRUE
       wait (500)
       Description.TypeKeys "<RETURN>" , TRUE
       sleep(1)
       
        Kontext "TableDesignTable"
            DatabaseSave
        Kontext "DatabaseTableSaveAs"
            TableName.SetText "TabOne"
            DatabaseTableSaveAs.OK
            sleep(3)
        Kontext "TableDesignTable"
            DatabaseClose
            sleep(3)        
       
      else
       warnlog "Can't select the database 'biblio'!!"
     end if
     else
      warnlog "'View current database' does not open the database beamer!"
    end if
  
  call hCloseDocument
endcase

'-------------------------------------------------------------------------
testcase tIndexDesign

    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if OB_DB_Beamer.Exists(3) then
            Kontext "DatabaseSelection"
                if fFindTable("Bibliography","TabOne") = TRUE then
                    Kontext "DatabaseSelection"
                        DatabaseSelection.OpenContextMenu
                        sleep(1)
                        hMenuSelectNr (5)
                        sleep(5)
                        Kontext "OB_DB_Tabledesign"
                            IndexDesign.Click
                        Kontext "DatabaseIndexes"
                            call Dialogtest(DatabaseIndexes)                         
                            NewIndex.Click
                            sleep(1)
                            IndexList.TypeKeys "<RETURN>" , true
                            sleep(1)
                            IndexDetails.TypeKeys "<HOME>" , true
                            sleep(1)
                            IndexDetails.TypeKeys "<LEFT>" , true
                            sleep(1)                            
                            IndexDetails.TypeKeys "<MOD DOWN>" , true                            
                            sleep(1)
                            SaveIndex.Click
                            sleep(1)
                            DatabaseIndexesClose.Click
                            sleep(1)
                        Kontext "OB_DB_Tabledesign"
                            IndexDesign.Click
                        Kontext "DatabaseIndexes"
                            DropIndex.Click
                            Kontext "MessageBox"
                                if MessageBox.exists(3) then MessageBox.Yes
                                sleep(1)
                        Kontext "DatabaseIndexes"
                            DatabaseIndexesClose.Click
                            sleep(1)
                        Kontext "TableDesignTable"
                            DatabaseClose
                            sleep(3)
                else
                    warnlog "Can't find table Bibliography TabOne."
                endif                
        else
            warnlog "beamer doesn't exists"
        endif
    sleep(1)
    call hCloseDocument
    
endcase

