'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: b_resource.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:52:53 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : marc.schwanz@sun.com
'*
'* short description : base resource test library
'*
'************************************************************************
'*
' #1 tDataSourceAdministrationMySQL
' #1 tDataSourceAdministrationDbase
' #1 tDataSourceAdministrationAdabas
' #1 tDataSourceAdministrationJDBC
' #1 tDataSourceAdministrationODBC
' #1 tDataSourceAdministrationText
' #1 tDataSourceAdministrationAddressbook
' #1 tBeamerSearch
' #1 tBeamerFilter
' #1 tBeamerSort
' #1 tBeamerFormLetter    
' #1 tSQLCommand
' #1 tTableDesign   
' #1 tQueryDesign
'*
'\***********************************************************************
sub start_resource_test

    '///the control Autopilots done by writer

    call tDataSourceAdministrationMySQL
    call tDataSourceAdministrationDbase
    call tDataSourceAdministrationAdabas
    call tDataSourceAdministrationJDBC
    call tDataSourceAdministrationODBC
    call tDataSourceAdministrationText
    call tDataSourceAdministrationAddressbook
    call tBeamerSearch
    call tBeamerFilter
    call tBeamerSort
    call tBeamerFormLetter    
    call tSQLCommand    
      
    call tTableDesign   
    call tQueryDesign
    
end sub

'-------------------------------------------------------------------------
testcase tDataSourceAdministrationDbase
    
    call hNewDocument
    ToolsDataSources
    
    printlog "DataSourceAdministration"
    Kontext "DataSourceAdministration"
        call Dialogtest (DataSourceAdministration)        
        TabControl.SetPage TabdBase
        printlog "TabdBase"
    Kontext "TabdBase"
        call Dialogtest (TabdBase)
        Indexes.Click
        Kontext "Indexes"
            call Dialogtest (Indexes)
            Indexes.Cancel
    
    Kontext "DataSourceAdministration"        
        TabControl.SetPage TabTables
        printlog "TabTables"
    Kontext "TabTables"
        call Dialogtest (TabTables)        
        
    Kontext "DataSourceAdministration"        
        TabControl.SetPage TabQueries
        printlog "TabQueries"
    Kontext "TabQueries"
        call Dialogtest (TabQueries)
    
    Kontext "DataSourceAdministration"        
        TabControl.SetPage TabBaseBookmarks
        printlog "TabBaseBookmarks"
    Kontext "TabBaseBookmarks"
        call Dialogtest (TabBaseBookmarks)        
        Kontext "TB_BaseLinks"
            NewLink.Click
            printlog "New Base Link DLG"
            Kontext "NewLinkDLG"                
                call Dialogtest(NewLinkDLG)
                LinkName.setText("a")
                LinkURL.setText("a")
                NewLinkDLG.OK
                Kontext "Messagebox"
                    call Dialogtest(MessageBox)
                    if Messagebox.Exists(3) then
                        if MessageBox.GetRT = 376 then
                            Messagebox.Yes                   
                        else
                            Messagebox.Yes
                        end if
                    end if                   
            
        Kontext "TB_BaseLinks"
            DeleteLink.Click
            printlog "delete link DLG"
            Kontext "Messagebox"
                call Dialogtest(MessageBox)
                if Messagebox.Exists(3) then
                    if MessageBox.GetRT = 376 then
                        Messagebox.Yes
                    else
                        Messagebox.Yes
                    end if
                end if                   
            
        Kontext "TB_BaseLinks"
        NewForm.Click
        printlog "new form"
        call Dialogtest (TB_BaseLinks)
        
    Kontext "DataSourceAdministration"
        DataSourceAdministration.Cancel        
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tDataSourceAdministrationMySQL
    
    call hNewDocument
    ToolsDataSources
    
    printlog "DataSourceAdministration"
    Kontext "DataSourceAdministration"
        Kontext "TabGeneral"
            DatabaseType.select(1)    
    Kontext "DataSourceAdministration"
        dim iTabPageID as integer 
        iTabPageID = TabControl.getPageID(2)
        TabControl.SetPageID iTabPageID
        Kontext "Messagebox"
        if Messagebox.Exists(3) then
            if MessageBox.GetRT = 376 then
                Messagebox.OK
            end if
        end if
        printlog "TabMySQL"
    Kontext "TabMySQL"
        call Dialogtest (TabMySQL)
            
    Kontext "DataSourceAdministration"
        DataSourceAdministration.Cancel

    call hCloseDocument
            
endcase
'-------------------------------------------------------------------------
testcase tDataSourceAdministrationAdabas
    
    call hNewDocument
    ToolsDataSources
    
    printlog "DataSourceAdministration"
    Kontext "DataSourceAdministration"
        Kontext "TabGeneral"
            DatabaseType.select(2)    
    Kontext "DataSourceAdministration"
        TabControl.SetPage TabODBC
        printlog "TabAdabas"
    Kontext "TabODBC"
        call Dialogtest (TabODBC)
    
    Kontext "DataSourceAdministration"
        TabControl.SetPage TabAdabasStatistics
        printlog "TabAdabasStatistics"
        Kontext "TabAdabasStatistics"
            call Dialogtest(TabAdabasStatistics)
    
    Kontext "DataSourceAdministration"
        TabControl.SetPage TabAdabasUserSettings
        Kontext "Messagebox"
        if Messagebox.Exists(3) then
            if MessageBox.GetRT = 376 then
                Messagebox.OK
            end if
        end if
        printlog "TabAdabasUserSettings"
        Kontext "TabAdabasUserSettings"
            call Dialogtest(TabAdabasUserSettings)
        
    Kontext "DataSourceAdministration"
        DataSourceAdministration.Cancel

    call hCloseDocument
            
endcase
'-------------------------------------------------------------------------
testcase tDataSourceAdministrationJDBC
    
    call hNewDocument
    ToolsDataSources
    
    printlog "DataSourceAdministration"
    Kontext "DataSourceAdministration"
        Kontext "TabGeneral"
            DatabaseType.select(3)    
    Kontext "DataSourceAdministration"
        TabControl.SetPage TabJDBC
        printlog "TabJDBC"
    Kontext "TabJDBC"
        call Dialogtest (TabJDBC)    
        
    Kontext "DataSourceAdministration"
        DataSourceAdministration.Cancel

    call hCloseDocument
            
endcase
'-------------------------------------------------------------------------
testcase tDataSourceAdministrationODBC
    
    call hNewDocument
    ToolsDataSources
    
    printlog "DataSourceAdministration"
    Kontext "DataSourceAdministration"
        Kontext "TabGeneral"
            DatabaseType.select(4)    
    Kontext "DataSourceAdministration"
        TabControl.SetPage TabODBC
        printlog "TabODBC"
    Kontext "TabODBC"
        call Dialogtest (TabODBC)    
        
    Kontext "DataSourceAdministration"
        DataSourceAdministration.Cancel

    call hCloseDocument
            
endcase     
'-------------------------------------------------------------------------
testcase tDataSourceAdministrationText
    
    call hNewDocument
    ToolsDataSources
    
    printlog "DataSourceAdministration"
    Kontext "DataSourceAdministration"
        Kontext "TabGeneral"
            if gPlatGroup = "w95" then
                DatabaseType.select(7)
            else
                DatabaseType.select(6)
            endif
    Kontext "DataSourceAdministration"
        TabControl.SetPage TabTextBase
        printlog "TabTextBase"
    Kontext "TabTextBase"
        call Dialogtest (TabTextBase)    
        
    Kontext "DataSourceAdministration"
        DataSourceAdministration.Cancel

    call hCloseDocument
            
endcase
'-------------------------------------------------------------------------
testcase tDataSourceAdministrationAddressbook
    
    call hNewDocument
    ToolsDataSources
    
    printlog "DataSourceAdministration"
    Kontext "DataSourceAdministration"
        Kontext "TabGeneral"
            if gPlatgroup = "w95" then
                DatabaseType.Select(9)
            else
                if gPlatform <> "os2" AND gPlatform <> "x86" AND gPlatform <> "os4" AND gPlatform <> "mac" then
                    DatabaseType.Select(8)
                else
                    DatabaseType.Select(7)
                end if
            end if
            SelectPath.Click
            Kontext "DataSourceSelection"
            call Dialogtest(DataSourceSelection)
         SourceList.Select 1
            DataSourceSelection.OK 
            sleep(1)
    Kontext "DataSourceAdministration"
        TabControl.SetPage TabLDAP
        sleep(1)
        printlog "TabLDAP"
    Kontext "TabLDAP"
        call Dialogtest (TabLDAP)    
        sleep(1)
    Kontext "DataSourceAdministration"    
        DataSourceAdministration.Cancel
        sleep(1)

    call hCloseDocument
            
endcase
'-------------------------------------------------------------------------
testcase tBeamerSearch

   call hNewDocument
   ViewCurrentDatabase   
    sSelectTable( "Bibliography" , "biblio" )
    Kontext "DatabaseBeamer"
        Kontext "OB_DB_Beamer"
            Search.Click
    Kontext "RecordSearch"
        call Dialogtest(RecordSearch)
        SimilaritySearch.Check
        More.Click
        Kontext "Aehnlichkeitssuche"
            call Dialogtest(Aehnlichkeitssuche)
            Aehnlichkeitssuche.Cancel   
    Kontext "RecordSearch"
        RecordSearch.Cancel   
    
    call hCloseDocument
    
endcase
'-------------------------------------------------------------------------
testcase tBeamerFilter

   call hNewDocument
   ViewCurrentDatabase   
    sSelectTable( "Bibliography" , "biblio" )
    Kontext "DatabaseBeamer"
        Kontext "OB_DB_Beamer"
            DefaultFilter.Click
    Kontext "FilterDialog"
        call Dialogtest(FilterDialog)
        FilterDialog.Cancel   
    
    call hCloseDocument
    
endcase
'-------------------------------------------------------------------------
testcase tBeamerSort

   call hNewDocument
   ViewCurrentDatabase   
    sSelectTable( "Bibliography" , "biblio" )
    Kontext "DatabaseBeamer"
        Kontext "OB_DB_Beamer"
            SortOrder.Click
    Kontext "SortOrder"
        call Dialogtest(SortOrder)
        SortOrder.Cancel   
    
    call hCloseDocument
    
endcase
'-------------------------------------------------------------------------
testcase tBeamerFormLetter

   call hNewDocument
   ViewCurrentDatabase   
    sSelectTable( "Bibliography" , "biblio" )
    Kontext "DatabaseBeamer"
        Kontext "OB_DB_Beamer"
            FormLetter.Click
    Kontext "Serienbrief"
        call Dialogtest(Serienbrief)
        Serienbrief.Cancel   
    
    call hCloseDocument
    
endcase

'-------------------------------------------------------------------------

testcase tTableDesign
 Dim bAlreadyExists as BOOLEAN
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"    
    Kontext "DatabaseSelection"
        sSelectTable( "Bibliography" , "biblio" )
    Kontext "DatabaseSelection"
        DatabaseSelection.OpenContextMenu
        sleep(1)
        hMenuSelectNr (4)
        sleep(5)
    Kontext "TableDesignTable"            
        sleep(2)            
        Fieldname.TypeKeys "<DOWN>" , TRUE
        sleep(1)
        Fieldname.TypeKeys "<UP>" , TRUE
        sleep(1)
        Fieldname.TypeKeys "Decimal" , TRUE
        sleep(1)
        Fieldname.TypeKeys "<RETURN>" , TRUE
        sleep(1)
        FieldType.Select(4)
        sleep(1)
        FieldType.TypeKeys "<RETURN>" , TRUE
        Description.TypeKeys "decimal" , TRUE
    Kontext "TabFieldProperties"
        call Dialogtest(TabFieldProperties)
        sleep(2)
    Kontext "TableDesignTable"
        TableDesignTable.TypeKeys "<MOD1 F6>"            
    Kontext "TableWindow"            
        sleep(1)         
        Description.TypeKeys "<RETURN>" , TRUE     
    Kontext "TableDesignTable"
        DatabaseSave
    Kontext "DatabaseTableSaveAs"    
        TableName.setText "TT_2"            
        DatabaseTableSaveAs.OK
       Kontext 
        if Active.Exists then
         if Active.GetRT = 376 then
            Active.OK           
            bAlreadyExists = TRUE
            printlog "b_resource.inc::tTableDesign(): Database table TT_2 already exists."
           Kontext "DatabaseTableSaveAs"
            DatabaseTableSaveAs.Cancel
         end if
        end if        
    sleep(1)
    Kontext "OB_DB_Tabledesign"
     IndexDesign.Click
    if bAlreadyExists = FALSE then                     
      Kontext "DatabaseIndexes"
        call Dialogtest(DatabaseIndexes)
        DatabaseIndexesClose.Click
     else
      Kontext
       if Active.Exists(2) then
        if Active.GetRT = 304 then
         printlog Active.GetText
         Active.NO
        end if
       end if
    end if
      Kontext "TableDesignTable"
        DatabaseClose
        if bAlreadyExists = TRUE then
         Kontext
          if Active.Exists(2) then
           if Active.GetRT = 304 then
             Active.No
           end if
          end if
        end if    
   call hCloseDocument 
endcase

'-------------------------------------------------------------------------

testcase tSQLCommand
    Dim HowManyCommands as integer
    Dim WhatIsInStatus as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    sSelectTable( "Bibliography" , "biblio" )
    Kontext "OB_DB_Beamer"  
        Kontext "DatabaseSelection"            
            DatabaseSelection.OpenContextMenu
            hMenuSelectNr(2)
            sleep(3)
            Kontext "ExecuteSQLCommand"
                call DialogTest(ExecuteSQLCommand)                
                CloseBtn.Click
  call hCloseDocument
endcase

'-------------------------------------------------------------------------
testcase tQueryDesign

    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"    
    Kontext "DatabaseSelection"
        sSelectTable( "Bibliography" , "biblio" )
    Kontext "DatabaseSelection"
        DatabaseSelection.TypeKeys "<UP>" , 2 , true
        DatabaseSelection.OpenContextMenu
        sleep(1)
        hMenuSelectNr (4)
        sleep(5)
    Kontext "AddTables"            
        sleep(1)            
        call Dialogtest(AddTables)
        CloseDLG.Click
    Kontext "QueryDesignTable"
        DatabaseClose
    
    call hCloseDocument
    
endcase

'-------------------------------------------------------------------------
sub sSelectTable( sDSName , sTabName )
    dim i as integer
   printlog "select table: " + sTabName + " from datasource " + sDSName + "." 

   sleep(1)
   Kontext "DatabaseBeamer"
    Kontext "DatabaseSelection"
    dim iNoDS as integer
    iNoDS = DatabaseSelection.getItemCount   
   for i = 1 to iNoDS
      DatabaseSelection.Select i
      if DatabaseSelection.getText = sDSName then
         i = iNoDS
      endif
   next i
   DatabaseSelection.TypeKeys "<ADD>"
   DatabaseSelection.TypeKeys "<DOWN>"
   DatabaseSelection.TypeKeys "<DOWN>"
   DatabaseSelection.TypeKeys "<DOWN>"
   DatabaseSelection.TypeKeys "<ADD>"

   Kontext "DatabaseBeamer"
    Kontext "DatabaseSelection"
   DatabaseSelection.TypeKeys "<DOWN>"
    iNoDS = DatabaseSelection.getItemCount
   dim iNoDS2 as integer
   iNoDS2 = DatabaseSelection.getSelIndex
   for i = iNoDS2 to iNoDS
      DatabaseSelection.Select i
      if DatabaseSelection.getText = sTabName then
         i = iNoDS
      endif
   next i   
   sleep(1)
   checkIfTableLoaded()    
   sleep(1)

end sub
'--------------------------------------------------------------------
sub checkIfTableLoaded
   Kontext "DatabaseBeamer"
   Kontext "DatabaseTableView"   
   sleep(2)
   if AllRecords.Caption = "" then
      checkIfTableLoaded
   endif
end sub
