'encoding UTF-8  Do not remove or change this line!
'*******************************************************************************
'*
'*  $RCSfile: f_basic_tools.inc,v $
'*
'*  $Revision: 1.1.2.2 $
'*
'*  last change: $Author: jsi $ $Date: 2003/09/09 13:07:30 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'/******************************************************************************
' **
' ** owner : joerg.skottke@sun.com
' **
' ** short description : tools for tools/macro test
' **
'*******************************************************************************
' **
' #1 findBreakpointLine
' #1 SelectTheLastModule
' #1 CreateNewModuleForDoc
' #1 DrawControlOnDialog
' #1 CheckControlsShort
' **
'\******************************************************************************

function findBreakpointLine ( xText as String ) as Integer
   Dim i as integer
   Kontext "BasicIDE"
   for i=1 to 50
      EditWindow.MouseDoubleClick ( 2, 2*i )
      try
         call EditCopy()
      catch
         SetClipboard ( "" )
      endcatch
      if lcase ( GetClipboardText ) = lcase ( xText ) then
         findBreakpointLine = 2*i
         i=50
      end if
   next i
end function

'-------------------------------------------------------------------------

sub SelectTheLastModule ( optional bEditEnabled as Boolean, optional bSilent as Boolean )
   Dim i as integer
   Dim sInterim as String
   if IsMissing ( bSilent ) = TRUE then
      printlog "tools / macro and select the last entry for the new document"
   else
      if bSilent = FALSE then
         printlog "tools / macro and select the last entry for the new document"
      end if
   end if    
   '///+tools / macro and select the last entry for the new document
   ' now it is an UNO-Slot, the normal slot can still be called in Math, 
   ' but it should be disabled
   Kontext "DocumentWriter"
   ' UNO slot of the macro dialog
   ToolsMacro_uno  
   Kontext "Makro"
   Call DialogTest ( Makro )
   Kontext "Macro"
   MakroAus.TypeKeys( "<PageUp>", 10 )
   MakroAus.TypeKeys( "-" )
   MakroAus.TypeKeys( "<Down>" )  
   sInterim = MakroAus.GetSelText()   
   for i=1 to 20
      MakroAus.TypeKeys( "-" )
      MakroAus.TypeKeys( "<Down>" )
      if MakroAus.GetSelText() = sInterim then i=100
   next i
   MakroAus.TypeKeys( "+" )
   MakroAus.TypeKeys( "<Down>" )
   MakroAus.TypeKeys( "+" )
   MakroAus.TypeKeys( "<PageDown>", 3 )
   if IsMissing ( bEditEnabled ) = FALSE then
      for i=1 to 20
         if Bearbeiten.IsEnabled() = bEditEnabled then
            i=21
         else
            MakroAus.TypeKeys( "<Up>" ) 
         end if
      next i
   endif
end sub

'-------------------------------------------------------------------------

sub CreateNewModuleForDoc
    '///+select the last entry in 'Macro from' and press 'new'
    Call SelectTheLastModule
    printlog "- create a new module for the last document => basic-IDE must be open"
    Neu.Click()  
    sleep(1)
    '///+The new module named 'TTModule' and OK => now the Basic-IDE should be opened.
    Kontext "NeuesModul"
        Modulname.SetText( "TTModule" )
        NeuesModul.OK
        sleep(4)
end sub

'-------------------------------------------------------------------------

sub DrawControlOnDialog ( xPos as Integer, yPos as Integer, xEnd as Integer, yEnd as Integer )

   '/// draw a control on a dialog window of BasicIDE
   Kontext "BasicIDE"
   DialogWindow.MouseDown ( xPos, yPos )
   DialogWindow.MouseMove ( xEnd, yEnd )
   DialogWindow.MouseUp   ( xEnd, yEnd )

   Kontext "TB_MacroControls"

end sub

'-------------------------------------------------------------------------

function CheckControlsShort (xPos as Integer, yPos as Integer, sName as String) as Boolean
   '///Make a short check, if a control is correctly save ( no properties check)
   '///+select the control (x-y values are the first parameter of this routine)
   Kontext "BasicIDE"
   DialogWindow.MouseDown ( xPos, yPos )
   DialogWindow.MouseUp   ( xPos, yPos )
   sleep (2)
   '///+tear off the controls toolbar out of the options toolbar
   '///+select the properties for the selected control
   Kontext "TB_MacroControls"
   printlog( "check :" + sName )
   printlog( "   activate properties" )
   try
      Properties.Click()
      sleep(2)
      '///+check the name of the control ( Name field ) => ( the name is 3rd parameter of this routine )
      Kontext "TabGeneralControl"
      if lcase ( NameText.GetText() ) <> lcase ( sName ) then
         Warnlog "Perhaps the control is not saved correctly => should : '" + sName + "'   is : '" + NameText.GetText + "'"
         CheckControlsShort = FALSE
      else
         CheckControlsShort = TRUE
      end if
      Kontext "TB_MacroControls"
      printlog "   deactivate properties"
      Properties.Click
   catch
      Printlog "Selection with nouse-click in the middle of the control does not work!"
      Kontext "BasicIDE"
      DialogWindow.MouseDown ( xPos-3, yPos-4 )
      DialogWindow.MouseMove ( xPos+4, yPos+3 )
      DialogWindow.MouseUp   ( xPos+4, yPos+3 )
      Sleep(2)
      Kontext "TB_MacroControls"
      printlog "check :" & sName
      printlog "   activate properties ( 2. trial )"
      try
         Properties.Click
         Sleep (1)
         Kontext "TabAllgemeinControl"
         if lcase ( NameText.GetText ) <> lcase ( sName ) then
            Warnlog "Perhaps the control is not saved correctly => should : '" & sName & "'   is : '" & NameText.GetText & "'"
            CheckControlsShort = FALSE
         else
            CheckControlsShort = TRUE
         end if
         Kontext "TB_MacroControls"
         printlog "   deactivate properties ( 2. trial )"
         Properties.Click
      catch
         Warnlog "Control " & sName & " cannot be selected. Perhaps it isn't saved => Bug!"
         CheckControls = FALSE
      endcatch
   endcatch
end function

'-------------------------------------------------------------------------

function hAppendCompareLanguageEntryToList ( sFile as String, sAddString as String ) as String

   '** insert an entry dependant on the used language into a file
   '** if the entry exists in the file this routine compares the entries
   '** the return value is the entry out of the list
   
   Dim lsList ( 100 ) as String
   Dim i as Integer
   Dim siLan as String, sInterim as String

   sFile = ConvertPath ( sFile )

   if hFileExists ( sFile ) = FAlSE then
      Warnlog sFile + " does not exists. It will be created by 'hAppendCompareLanguageEntryToList'."
   end if

   ListRead ( lsList (), sFile, "utf8" )

   if iSprache < 10 then
      siLan = "0" & Str ( iSprache )
   else
      siLan = Str ( iSprache )
   end if

   for i=1 to ListCount ( lsList () )
      if Left ( lsList(i), 2 ) = siLan then
         sInterim = Right ( lsList(i), Len ( lsList(i) ) - 3 )
         if sAddString <> sInterim then
            Warnlog "The comparison entry is not the same! Should : '" + sAddString + "'   is : '" + Right ( lsList(i), Len ( lsList(i) ) - 3 ) + "'"
            hAppendCompareLanguageEntryToList = sInterim
         else
            hAppendCompareLanguageEntryToList = sAddString
         end if
         i=100
      end if
   next i

   ' DISABLED: I have no idea, what this does ...
'   if i<100 then
'      Warnlog siLan + " - entry is missing in " + sFile + "! Entry " + siLan + " = " + sAddString + " will be inserted!"
'      ListAppend ( lsList(), siLan + "=" + sAddString )
'      ListWrite  ( lsList(), sFile, "utf8" )
'      hAppendCompareLanguageEntryToList = sAddString
'   end if

end function

